For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
      • GETList all filter sets
      • POSTCreate filter set
      • GETGet filter set
      • DELDelete filter set
      • PATCHUpdate filter set
      • POSTClone filter set
      • POSTLock filter set for editing
      • POSTUnlock filter set for editing
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceFilter Sets

Delete filter set

|View as Markdown|Open in Claude|
DELETE
https://api.prolific.com/api/v1/filter-sets/:id/
DELETE
/api/v1/filter-sets/:id/
$curl -X DELETE https://api.prolific.com/api/v1/filter-sets/id/ \
> -H "Authorization: Token <token>"
Delete a filter set.
Was this page helpful?
Previous

Get filter set

Next

Update filter set

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
ID of the filter set.

Response

Deleted the filter set

Errors

4XX
Client Request Error